apiVersion: baremetal.openstack.org/v1beta1
kind: OpenStackBaremetalSet
metadata:
  creationTimestamp: "2025-09-10T16:08:14Z"
  finalizers:
  - openstack.org/openstackbaremetalset
  generation: 2
  labels:
    osdpns.openstack.org/name: ctl2-computes-zone0
    osdpns.openstack.org/namespace: openstack-zone2
    osdpns.openstack.org/uid: ec950e75-629f-4994-b371-901a75af91e2
  name: ctl2-computes-zone0
  namespace: openstack-zone2
  ownerReferences:
  - apiVersion: dataplane.openstack.org/v1beta1
    blockOwnerDeletion: true
    controller: true
    kind: OpenStackDataPlaneNodeSet
    name: ctl2-computes-zone0
    uid: ec950e75-629f-4994-b371-901a75af91e2
  resourceVersion: "4542166"
  uid: fd136777-2713-401a-b9f8-98f0af79a76d
spec:
  agentImageUrl: registry.redhat.io/rhoso-operators/openstack-baremetal-agent-rhel9@sha256:af9b6006e558d2f54b44392670fcdd5d4449d40beb37e3d6cb5b0e42d3e35b12
  apacheImageUrl: registry.redhat.io/ubi9/httpd-24@sha256:c6ef070fe39ac78fee41e00f5d6c7eb1cbf81f6cd8ddd6c162594fbe72b823fd
  automatedCleaningMode: metadata
  baremetalHosts:
    ctl2-compute0:
      ctlPlaneIP: 192.168.110.125/24
      ctlplaneGateway: 192.168.110.254
      ctlplaneVlan: 110
  bmhLabelSelector:
    app: ctl-zone0
  bmhNamespace: openstack-zone2
  bootstrapDns:
  - 192.168.112.80
  cloudUserName: gil
  ctlplaneInterface: enp2s0
  deploymentSSHSecret: edpm-ssh-key
  dnsSearchDomains:
  - ctlplane.demo.lab.com
  hardwareReqs:
    cpuReqs:
      countReq: {}
      mhzReq: {}
    diskReqs:
      gbReq: {}
      ssdReq: {}
    memReqs:
      gbReq: {}
  osContainerImageUrl: registry.redhat.io/rhoso/edpm-hardened-uefi-rhel9@sha256:f13188dd08f9c94c196c25bcf966df4d532cde9308ec2bb7663d5d975fbe4b1a
  osImage: edpm-hardened-uefi.qcow2
  passwordSecret:
    name: osp-ng-noderootpass
    namespace: openstack-zone2
status:
  baremetalHosts:
    ctl2-compute0:
      annotatedForDeletion: false
      bmhRef: ctl2-compute1-zone0
      hostname: ctl2-compute0
      ipAddresses:
        ctlplane: 192.168.110.125/24
      networkDataSecretName: ctl2-computes-zone0-cloudinit-networkdata-ctl2-compute0
      provisioningState: provisioning
      userDataSecretName: ctl2-computes-zone0-cloudinit-userdata-ctl2-compute0
  conditions:
  - lastTransitionTime: "2025-09-10T16:08:56Z"
    message: OpenStackBaremetalSet BMH provisioning in progress
    reason: Requested
    severity: Info
    status: "False"
    type: Ready
  - lastTransitionTime: "2025-09-10T16:08:14Z"
    message: Input data complete
    reason: Ready
    status: "True"
    type: InputReady
  - lastTransitionTime: "2025-09-10T16:08:56Z"
    message: OpenStackBaremetalSet BMH provisioning in progress
    reason: Requested
    severity: Info
    status: "False"
    type: OpenStackBaremetalSetBmhProvisioningReady
  - lastTransitionTime: "2025-09-10T16:08:56Z"
    message: OpenStackBaremetalSet provision server ready
    reason: Ready
    status: "True"
    type: OpenStackBaremetalSetProvServerReady
  observedGeneration: 2
